Subject: bug#22846: 25.0.91; Long pauses viewing HTML email; can we show progress?

From: John Wiegley <[email-masked]>
Date: Sun, 28 Feb 2016 23:13:27 -0800

I have a feeling this may become a non-issue after Lars' asynchronous DNS
support goes live, but for 25.1, I find that hitting SPACE to read an HTML
e-mail with many images, Emacs pauses for up to ~10 seconds doing...
something. It would help me to know work is being done, by some kind of
prompting in the message area, the way that Firefox does when loading a slow
page.

Bonus points for only prompting after a second or more, to avoid excessive
logging to *Messages*, but that's not terribly important.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2